unit UDialogoImp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFDialogoImp = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    RbMensagem1: TRadioButton;
    RbMensagem2: TRadioButton;
    RbMensagem3: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FDialogoImp: TFDialogoImp;

implementation
uses
 UDataModulo, UImpSaida, UImpEntrada, uservico, DB, UImpConvenio,
  UImpCompPrePago;

{$R *.dfm}

procedure TFDialogoImp.FormCreate(Sender: TObject);
begin
  RbMensagem1.Caption:=Modulo.TBValoresComentario1.AsString;
  RbMensagem2.Caption:=Modulo.TBValoresComentario2.AsString;
  RbMensagem3.Caption:=Modulo.TBValoresComentario3.AsString;
end;
procedure TFDialogoImp.Button2Click(Sender: TObject);
begin
  Modulo.TBServico.Filtered:=False;
  Close;
end;
procedure TFDialogoImp.Button1Click(Sender: TObject);
begin
  if Modulo.TBServico['tipo']='P'then
    try
      Application.CreateForm (TFImpSaida, FImpSaida);

      if RbMensagem1.Checked then
        FImpSaida.QRMensagem.DataField:='Comentario1';
      if RbMensagem2.Checked then
        FImpSaida.QRMensagem.DataField:='Comentario2';
      if RbMensagem3.Checked then
        FImpSaida.QRMensagem.DataField:='Comentario3';

      FImpSaida.quickrep1.Print;
    finally
      FImpSaida.Free;
      FDialogoImp.Close;
    end;

  if Modulo.TBServico['Tipo']='C' then
    try
      Application.CreateForm (TFImpConvenio, FImpConvenio);

      if RbMensagem1.Checked then
        FImpConvenio.QRMensagem.DataField:='Comentario1';
      if RbMensagem2.Checked then
        FImpConvenio.QRMensagem.DataField:='Comentario2';
      if RbMensagem3.Checked then
        FImpConvenio.QRMensagem.DataField:='Comentario3';

      FImpConvenio.quickrep1.Print;

    finally
      FImpConvenio.Free;
      FDialogoImp.Close;
    end;

    if Modulo.TBServico['Tipo']='G'  then
      try
        Application.CreateForm(TFImpCompPrePago, FImpCompPrePago);

        if RbMensagem1.Checked then
          FImpCompPrePago.QRMensagem.DataField:='Comentario1';
        if RBMensagem2.Checked then
          FImpCompPrePago.QRMensagem.DataField:='Comentario2';
        if RbMensagem3.Checked then
          FImpCompPrePago.QRMensagem.DataField:='Comentario3';

        FImpCompPrePago.Quickrep1.Print;

      finally
        FImpCompPrePago.Free;
        FDialogoImp.Close;
      end;

end;

end.
